Download it now!
Bug 68471 - Vertical text alignment of shapes doesn't follow style
Summary: Vertical text alignment of shapes doesn't follow style
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ImpressDraw-Styles
  Show dependency treegraph
 
Reported: 2013-08-23 09:31 UTC by masc
Modified: 2019-10-10 02:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description masc 2013-08-23 09:31:11 UTC
Shapes do not follow vertical text alignment of a style, until modified once.

Steps to reproduce:
- Create new drawing
- Create a shape, enter some text
- Assign default style -> result is already wrong. text will align middle/center, even though default style has top/center set by default. 
- Change text alignment of default style to top/left -> text aligns left but remains in the middle.

A workaround is to change vertical text alignment of the assigned style once (to eg. bottom left corner) and explicitly reapply the style.

shapes will now follow text alignment of style correctly.

Issue occurs with 4.0.4, 4.0.5 and 4.1.0 on OSX and Linux.
Comment 1 Jean-Baptiste Faure 2013-09-22 09:18:48 UTC
Reproducible with LO 4.1.3.0.0+ (Build ID: 7e0676734319ad62d1ee2d762fa3f5de71ee9a0) (current state of 4.1 branch) under ubuntu 13.04 x86-64.

Thank you very much for the bug report. Set status to NEW.

Best regards. JBF
Comment 2 QA Administrators 2015-04-01 14:40:31 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-04-22 11:23:10 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 QA Administrators 2017-09-01 11:15:55 UTC Comment hidden (obsolete)
Comment 5 Grant 2018-10-09 19:03:21 UTC
I'm using version 6.1.1.2 on Windows 10 and still see this as a bug.
Comment 6 QA Administrators 2019-10-10 02:40:34 UTC
Dear masc,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug